# Die DDI-Map

Die aktuelle Version ist [hier](https://hw0358.gitpages.uni-due.de/ddi-map) einsehbar.

## Idee

Das Ziel war es, eine übersichtliche Karte aller Informatikdidaktik-Standorte in Deutschland zu erstellen.

## Vorgehen

Ein großer Teil bestand in der Fleißarbeit, alle Institutionen, ihre Vertreter*innen, Homepage-URLs und Geokoordinaten der Standorte zusammenzutragen. Der Einfachheit halber wurden für die statische Variante aber oftmals nur die Koordinaten des jeweiligen Hauptcampuses eingetragen. Für die dynamische Variante wurden die Anschriften von der Homepage des jeweiligen Lehrstuhls abgeschrieben. Die Geokoordinaten wurden automatisiert generiert.

## Workflow

## Neue Adresse hinzufügen / Adressdaten ändern

In

```
adressdaten/standorte.csv
```

entweder neue Daten eintragen oder vorhandene ändern, Datei abspeichern und anschließend das Skript


```
adressdaten/update-maps
```

ausführen. Alternativ die Python-Skripte für die statischen Karten und die interaktive Karte manuell ausführen (siehe nächste Abschnitte).

### Statische Karten

Alle Daten sind in CSV-Dateien gespeichert. Dort können auch neue Standorte eingetragen werden. Es existiert ein Skript, welches reine Adressdaten in Geokoordinaten umwandelt. Einzelne Standorte können jedoch auch per Hand nachgetragen werden. Im statischen Bereich können die Karten per

```
python create-map-D.py
```

für die deutschen Standorte bzw.

```
python create-map-DACH.py
```

für die DACH-Standorte erzeugt werden. Dadurch wird die jeweilige csv-Datei ausgelesen, und jede Zeile in einen HTML-Link umgewandelt. Die Geokoordinaten aus der CSV-Datei werden dabei in prozentuale Werte auf der jeweiligen Karte transformiert. Die Transformationswerte wurden durch manuelles Ausprobieren unter Zuhilfenahme der [Extrempunkte Deutschlands](https://de.wikipedia.org/wiki/Liste_der_Extrempunkte_Deutschlands) ermittelt. Das Aussehen und die Positionen der Punkte und der eingeblendeten Daten kann über die Datei `style.css` verändert werden.

### Interaktive Karte

Seit Anfang 2023 gibt es eine interaktive Karte, die mit Hilfe von [OpenStreetMap](https://openstreetmap.org/) und [Leaflet](https://leafletjs.com/) erzeugt wird. Dazu wurden die Adressdaten automatisiert in Geo-Koordinaten übertragen, siehe Verzeichnis `adressdaten/outdated`. Der Aufruf des Skriptes

```
adressdaten/outdated/2-fuege-lat-lon-hinzu.py

```

ist daher, wenn überhaupt, **so sparsam wie nur irgend möglich** zu gestalten, da für jeden Standort eine Abfrage bei [OpenStreetMap](https://openstreetmap.org/) stattfindet. Die so ermittelten Koordinaten werden für die Marker auf der Karte benötigt. Die Karte wird erzeugt mit

```
python create-interactive-map.py
```

## TODO

* Sven Jacobs hatte mal eine Suchfunktion geschrieben, die über die Zeit aber verloren gegangen ist. Das wäre ein sinnvolle Ergänzung.

## Lizenz

Die im Hintergrund sichtbaren Karten der statischen Version:

* *Politische Gliederung Deutschlands in Länder, Regierungsbezirke, Kreise und kreisfreie Städte* wurde von [TUBS](https://commons.wikimedia.org/wiki/User:TUBS) unter einer [CC BY-SA 3.0](https://creativecommons.org/licenses/by-sa/3.0)-Lizenz über [Wikipedia](https://de.wikipedia.org/wiki/Deutschland#/media/Datei:Germany,_administrative_divisions_(+districts)_-_de_-_colored.svg) veröffentlicht
* *D-A-CH* wurde von [NordNordWest](https://commons.wikimedia.org/wiki/User:NordNordWest) unter einer [CC BY-SA 3.0](https://creativecommons.org/licenses/by-sa/3.0)-Lizenz über [Wikipedia](https://commons.wikimedia.org/wiki/User:NordNordWest/Gallery/Location_maps#/media/File:D-A-CH_location_map.svg) veröffentlicht

Ich stelle die DDI-Map somit unter die Lizenz [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/).



