#!/bin/python

import csv
import json
from urllib.request import urlopen
import urllib.parse

with open("standorte-adressen.csv", mode="r") as old_file:
    reader_obj = csv.DictReader(old_file, delimiter=';')
    
    with open("standorte-adressen-lat-lon.csv", mode="w") as new_file:
        writer_obj = csv.DictWriter(new_file, fieldnames=reader_obj.fieldnames, delimiter=';')
        writer_obj.writeheader()

        for data in reader_obj:
            if data['Gebäude-Spezifikation(optional)'] == "":
                adresse = data['Anschrift']
            else:
                adresse = data['Gebäude-Spezifikation(optional)']+","+data['Anschrift']
            
            adresse=adresse.replace(" ","+")
            j = urlopen('https://nominatim.openstreetmap.org/search?q='+urllib.parse.quote(adresse)+'&format=json&polygon=1&addressdetails=1')
            j_obj = json.load(j)
            writer_obj.writerow({'Institution': data['Institution'],
                                 'Professor*in': data['Professor*in'],
                                 'URL': data['URL'],
                                 'Gebäude-Spezifikation(optional)': data['Gebäude-Spezifikation(optional)'],
                                 'Anschrift': data['Anschrift'],
                                 'Land': data['Land'],
                                 'Lat': j_obj[0]['lat'],
                                 'Lon': j_obj[0]['lon']})
