#!/bin/python

import csv

# create html file
o = open("ddi-map-D.html", "w")
o.write("<!DOCTYPE html>\n")
o.write("<html>\n")
o.write("<head>\n")
o.write('<meta charset="UTF-8">\n')
o.write('<link rel="stylesheet" href="style.css">\n')
o.write("</head>\n")
o.write("<body>\n")
o.write("")
#o.write("<h2>Die DDI-Landkarte</h2>\n")
o.write('<div class="con">\n')

# read in csv-file
with open('../adressdaten/standorte.csv') as f:
    reader = csv.DictReader(f, delimiter=';')
    for row in reader:
        if row['Land'] == "D":
            top=str(round(float(row['Lat'])*(-12.6)+693.421,1))
            left=str(round(float(row['Lon'])*9.963-54.863,1))
            o.write('<a href="'+row['URL']+'" target="_blank"><div class="dot" style="top:'+top+'%; left:'+left+'%"><span>'+row['Institution']+'<br />'+row['Professor*in']+'</span></div></a>\n')

o.write('<img src="deutschland.svg" />\n')
o.write('<p><i>Politische Gliederung Deutschlands in Länder, Regierungsbezirke, Kreise und kreisfreie Städte</i> wurde von <a href="https://commons.wikimedia.org/wiki/User:TUBS">TUBS</a> unter einer <a href="https://creativecommons.org/licenses/by-sa/3.0">CC BY-SA 3.0</a>-Lizenz über <a href="https://de.wikipedia.org/wiki/Deutschland#/media/Datei:Germany,_administrative_divisions_(+districts)_-_de_-_colored.svg">Wikipedia</a> veröffentlicht</p>\n')
o.write("</div>\n")
o.write("</body>\n")
o.write("</html>\n")
o.close()
